Bug 1785899 (rust-rav1e) - Review Request: rust-rav1e - Fastest and safest AV1 encoder
Summary: Review Request: rust-rav1e - Fastest and safest AV1 encoder
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-rav1e
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: dan.cermak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: rust-rust_hawktracer
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-22 04:32 UTC by Robert-André Mauchin
Modified: 2020-03-04 17:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-04 17:24:49 UTC
Type: ---
dan.cermak: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 2019-12-22 04:32:49 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/rust-rav1e.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/rust-rav1e-0.2.0-1.fc32.src.rpm

Description:
Fastest and safest AV1 encoder.

Fedora Account System Username: eclipseo

Comment 2 Robert-André Mauchin 2020-01-09 00:13:00 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=40302190

Comment 4 Robert-André Mauchin 2020-01-21 15:34:05 UTC
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=40821593

Comment 5 Robert-André Mauchin 2020-01-24 01:43:55 UTC
Successful Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=40938699


The tests errors on i686 are random, I can't always reproduce and I haven't been able to get a backtrace.

Comment 6 Artem 2020-01-24 07:35:02 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/


===== MUST items =====

C/C++:
[ ]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[ ]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/doc/rav1e(locale,,
     defaulting, to, set, Failed, C), /usr/share/licenses/rav1e(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1(locale,, defaulting, to, set,
     Failed, C), /usr/share/cargo/registry/rav1e-0.2.1/src(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/api(locale,, defaulting, to,
     set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/arm(locale,, defaulting, to,
     set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/arm/32(locale,, defaulting,
     to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/arm/64(locale,, defaulting,
     to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/asm(locale,, defaulting, to,
     set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/asm/aarch64(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/asm/aarch64/transform(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/asm/shared(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/asm/shared/transform(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/asm/x86(locale,, defaulting,
     to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/asm/x86/transform(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/bin(locale,, defaulting, to,
     set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/bin/decoder(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/bin/muxer(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/cpu_features(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/ext(locale,, defaulting, to,
     set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/ext/x86(locale,, defaulting,
     to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/frame(locale,, defaulting,
     to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/scenechange(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/test_encode_decode(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/tiling(locale,, defaulting,
     to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/transform(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/util(locale,, defaulting,
     to, set, Failed, C),
     /usr/share/cargo/registry/rav1e-0.2.1/src/x86(locale,, defaulting, to,
     set, Failed, C), /usr/share/doc/rust-rav1e-devel(locale,, defaulting,
     to, set, Failed, C), /usr/share/licenses/rust-rav1e-devel(locale,,
     defaulting, to, set, Failed, C),
     /usr/share/licenses/rav1e-libs(locale,, defaulting, to, set, Failed,
     C), /usr/include/rav1e(locale,, defaulting, to, set, Failed, C)
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rav1e ,
     rav1e-libs , rav1e-devel , rust-rav1e-devel , rust-rav1e+default-devel
     , rust-rav1e+aom-sys-devel , rust-rav1e+asm-devel , rust-
     rav1e+backtrace-devel , rust-rav1e+bench-devel , rust-rav1e+better-
     panic-devel , rust-rav1e+binaries-devel , rust-rav1e+byteorder-devel ,
     rust-rav1e+capi-devel , rust-rav1e+cc-devel , rust-rav1e+check_asm-
     devel , rust-rav1e+clap-devel , rust-rav1e+console-devel , rust-
     rav1e+dav1d-sys-devel , rust-rav1e+decode_test-devel , rust-
     rav1e+decode_test_dav1d-devel , rust-rav1e+desync_finder-devel , rust-
     rav1e+dump_ivf-devel , rust-rav1e+dump_lookahead_data-devel , rust-
     rav1e+fern-devel , rust-rav1e+image-devel , rust-rav1e+ivf-devel ,
     rust-rav1e+nasm-rs-devel , rust-rav1e+quick_test-devel , rust-
     rav1e+rust_hawktracer-devel , rust-rav1e+scan_fmt-devel , rust-
     rav1e+serde-devel , rust-rav1e+serialize-devel , rust-rav1e+signal-
     hook-devel , rust-rav1e+signal_support-devel , rust-rav1e+toml-devel ,
     rust-rav1e+tracing-devel , rust-rav1e+y4m-devel
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rav1e-0.2.1-1.fc32.x86_64.rpm
          rav1e-libs-0.2.1-1.fc32.x86_64.rpm
          rav1e-devel-0.2.1-1.fc32.x86_64.rpm
          rust-rav1e-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+default-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+aom-sys-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+asm-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+backtrace-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+bench-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+better-panic-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+binaries-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+byteorder-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+capi-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+cc-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+check_asm-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+clap-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+console-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+dav1d-sys-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+decode_test-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+decode_test_dav1d-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+desync_finder-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+dump_ivf-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+dump_lookahead_data-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+fern-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+image-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+ivf-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+nasm-rs-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+quick_test-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+rust_hawktracer-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+scan_fmt-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+serde-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+serialize-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+signal-hook-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+signal_support-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+toml-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+tracing-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e+y4m-devel-0.2.1-1.fc32.noarch.rpm
          rust-rav1e-debugsource-0.2.1-1.fc32.x86_64.rpm
          rust-rav1e-0.2.1-1.fc32.src.rpm
rav1e.x86_64: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rav1e.x86_64: W: no-manual-page-for-binary rav1e
rav1e-libs.x86_64: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rav1e-libs.x86_64: W: no-documentation
rav1e-devel.x86_64: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rav1e-devel.x86_64: W: no-documentation
rust-rav1e-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/rav1e-0.2.1/.cargo-checksum.json
rust-rav1e+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+default-devel.noarch: W: no-documentation
rust-rav1e+aom-sys-devel.noarch: W: spelling-error %description -l en_US aom -> aim, am, om
rust-rav1e+aom-sys-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+aom-sys-devel.noarch: W: no-documentation
rust-rav1e+asm-devel.noarch: W: spelling-error %description -l en_US asm -> as, am, mas
rust-rav1e+asm-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+asm-devel.noarch: W: no-documentation
rust-rav1e+backtrace-devel.noarch: W: spelling-error %description -l en_US backtrace -> backtrack, back trace, back-trace
rust-rav1e+backtrace-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+backtrace-devel.noarch: W: no-documentation
rust-rav1e+bench-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+bench-devel.noarch: W: no-documentation
rust-rav1e+better-panic-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+better-panic-devel.noarch: W: no-documentation
rust-rav1e+binaries-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+binaries-devel.noarch: W: no-documentation
rust-rav1e+byteorder-devel.noarch: W: spelling-error %description -l en_US byteorder -> byte order, byte-order, border
rust-rav1e+byteorder-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+byteorder-devel.noarch: W: no-documentation
rust-rav1e+capi-devel.noarch: W: spelling-error %description -l en_US capi -> capo, cap, carpi
rust-rav1e+capi-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+capi-devel.noarch: W: no-documentation
rust-rav1e+cc-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+cc-devel.noarch: W: no-documentation
rust-rav1e+check_asm-devel.noarch: W: spelling-error %description -l en_US asm -> as, am, mas
rust-rav1e+check_asm-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+check_asm-devel.noarch: W: no-documentation
rust-rav1e+clap-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+clap-devel.noarch: W: no-documentation
rust-rav1e+console-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+console-devel.noarch: W: no-documentation
rust-rav1e+dav1d-sys-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+dav1d-sys-devel.noarch: W: no-documentation
rust-rav1e+decode_test-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+decode_test-devel.noarch: W: no-documentation
rust-rav1e+decode_test_dav1d-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+decode_test_dav1d-devel.noarch: W: no-documentation
rust-rav1e+desync_finder-devel.noarch: W: spelling-error %description -l en_US desync -> descend
rust-rav1e+desync_finder-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+desync_finder-devel.noarch: W: no-documentation
rust-rav1e+dump_ivf-devel.noarch: W: spelling-error %description -l en_US ivf -> iv, if, inf
rust-rav1e+dump_ivf-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+dump_ivf-devel.noarch: W: no-documentation
rust-rav1e+dump_lookahead_data-devel.noarch: W: spelling-error %description -l en_US lookahead -> look ahead, look-ahead, lookalike
rust-rav1e+dump_lookahead_data-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+dump_lookahead_data-devel.noarch: W: no-documentation
rust-rav1e+fern-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+fern-devel.noarch: W: no-documentation
rust-rav1e+image-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+image-devel.noarch: W: no-documentation
rust-rav1e+ivf-devel.noarch: W: spelling-error %description -l en_US ivf -> iv, if, inf
rust-rav1e+ivf-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+ivf-devel.noarch: W: no-documentation
rust-rav1e+nasm-rs-devel.noarch: W: spelling-error %description -l en_US nasm -> NASA
rust-rav1e+nasm-rs-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+nasm-rs-devel.noarch: W: no-documentation
rust-rav1e+quick_test-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+quick_test-devel.noarch: W: no-documentation
rust-rav1e+rust_hawktracer-devel.noarch: W: spelling-error %description -l en_US hawktracer -> hawk tracer, hawk-tracer, racetrack
rust-rav1e+rust_hawktracer-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+rust_hawktracer-devel.noarch: W: no-documentation
rust-rav1e+scan_fmt-devel.noarch: W: spelling-error %description -l en_US fmt -> ft, mt, fit
rust-rav1e+scan_fmt-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+scan_fmt-devel.noarch: W: no-documentation
rust-rav1e+serde-devel.noarch: W: spelling-error %description -l en_US serde -> sere, serge, serve
rust-rav1e+serde-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+serde-devel.noarch: W: no-documentation
rust-rav1e+serialize-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+serialize-devel.noarch: W: no-documentation
rust-rav1e+signal-hook-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+signal-hook-devel.noarch: W: no-documentation
rust-rav1e+signal_support-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+signal_support-devel.noarch: W: no-documentation
rust-rav1e+toml-devel.noarch: W: spelling-error %description -l en_US toml -> tom, tome, toms
rust-rav1e+toml-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+toml-devel.noarch: W: no-documentation
rust-rav1e+tracing-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+tracing-devel.noarch: W: no-documentation
rust-rav1e+y4m-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+y4m-devel.noarch: W: no-documentation
rust-rav1e-debugsource.x86_64: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e.src: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e.src:70: W: libdir-macro-in-noarch-package %{crate}-libs %{_libdir}/librav1e.so.0*
rust-rav1e.src:81: W: libdir-macro-in-noarch-package %{crate}-devel %{_libdir}/librav1e.so
rust-rav1e.src:82: W: libdir-macro-in-noarch-package %{crate}-devel %{_libdir}/pkgconfig/rav1e.pc
39 packages and 0 specfiles checked; 0 errors, 94 warnings.




Rpmlint (installed packages)
----------------------------
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
	LANGUAGE = (unset),
	LC_ALL = (unset),
	LC_CTYPE = "C.UTF-8",
	LANG = "ru_UA.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
rust-rav1e+decode_test_dav1d-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+decode_test_dav1d-devel.noarch: W: no-documentation
rust-rav1e+desync_finder-devel.noarch: W: spelling-error %description -l en_US desync -> descend
rust-rav1e+desync_finder-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+desync_finder-devel.noarch: W: no-documentation
rust-rav1e+bench-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+bench-devel.noarch: W: no-documentation
rust-rav1e+decode_test-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+decode_test-devel.noarch: W: no-documentation
rust-rav1e+toml-devel.noarch: W: spelling-error %description -l en_US toml -> tom, tome, toms
rust-rav1e+toml-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+toml-devel.noarch: W: no-documentation
rust-rav1e+clap-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+clap-devel.noarch: W: no-documentation
rust-rav1e+console-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+console-devel.noarch: W: no-documentation
rust-rav1e+dav1d-sys-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+dav1d-sys-devel.noarch: W: no-documentation
rust-rav1e+ivf-devel.noarch: W: spelling-error %description -l en_US ivf -> iv, if, inf
rust-rav1e+ivf-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+ivf-devel.noarch: W: no-documentation
rav1e-libs.x86_64: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rav1e-libs.x86_64: W: no-documentation
rust-rav1e+tracing-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+tracing-devel.noarch: W: no-documentation
rav1e-devel.x86_64: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rav1e-devel.x86_64: W: no-documentation
rust-rav1e+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+default-devel.noarch: W: no-documentation
rust-rav1e+nasm-rs-devel.noarch: W: spelling-error %description -l en_US nasm -> NASA
rust-rav1e+nasm-rs-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+nasm-rs-devel.noarch: W: no-documentation
rust-rav1e+dump_ivf-devel.noarch: W: spelling-error %description -l en_US ivf -> iv, if, inf
rust-rav1e+dump_ivf-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+dump_ivf-devel.noarch: W: no-documentation
rust-rav1e+signal-hook-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+signal-hook-devel.noarch: W: no-documentation
rust-rav1e+binaries-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+binaries-devel.noarch: W: no-documentation
rust-rav1e+serialize-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+serialize-devel.noarch: W: no-documentation
rust-rav1e-debugsource.x86_64: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+byteorder-devel.noarch: W: spelling-error %description -l en_US byteorder -> byte order, byte-order, border
rust-rav1e+byteorder-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+byteorder-devel.noarch: W: no-documentation
rust-rav1e+check_asm-devel.noarch: W: spelling-error %description -l en_US asm -> as, am, mas
rust-rav1e+check_asm-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+check_asm-devel.noarch: W: no-documentation
rust-rav1e+image-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+image-devel.noarch: W: no-documentation
rust-rav1e-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/rav1e-0.2.1/.cargo-checksum.json
rust-rav1e+rust_hawktracer-devel.noarch: W: spelling-error %description -l en_US hawktracer -> hawk tracer, hawk-tracer, racetrack
rust-rav1e+rust_hawktracer-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+rust_hawktracer-devel.noarch: W: no-documentation
rust-rav1e+better-panic-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+better-panic-devel.noarch: W: no-documentation
rust-rav1e+cc-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+cc-devel.noarch: W: no-documentation
rust-rav1e+capi-devel.noarch: W: spelling-error %description -l en_US capi -> capo, cap, carpi
rust-rav1e+capi-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+capi-devel.noarch: W: no-documentation
rust-rav1e+scan_fmt-devel.noarch: W: spelling-error %description -l en_US fmt -> ft, mt, fit
rust-rav1e+scan_fmt-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+scan_fmt-devel.noarch: W: no-documentation
rust-rav1e+serde-devel.noarch: W: spelling-error %description -l en_US serde -> sere, serge, serve
rust-rav1e+serde-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+serde-devel.noarch: W: no-documentation
rav1e.x86_64: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rav1e.x86_64: W: no-manual-page-for-binary rav1e
rust-rav1e+dump_lookahead_data-devel.noarch: W: spelling-error %description -l en_US lookahead -> look ahead, look-ahead, lookalike
rust-rav1e+dump_lookahead_data-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+dump_lookahead_data-devel.noarch: W: no-documentation
rust-rav1e+asm-devel.noarch: W: spelling-error %description -l en_US asm -> as, am, mas
rust-rav1e+asm-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+asm-devel.noarch: W: no-documentation
rust-rav1e+quick_test-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+quick_test-devel.noarch: W: no-documentation
rust-rav1e+fern-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+fern-devel.noarch: W: no-documentation
rust-rav1e+backtrace-devel.noarch: W: spelling-error %description -l en_US backtrace -> backtrack, back trace, back-trace
rust-rav1e+backtrace-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+backtrace-devel.noarch: W: no-documentation
rust-rav1e+signal_support-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+signal_support-devel.noarch: W: no-documentation
rust-rav1e+aom-sys-devel.noarch: W: spelling-error %description -l en_US aom -> aim, am, om
rust-rav1e+aom-sys-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+aom-sys-devel.noarch: W: no-documentation
rust-rav1e+y4m-devel.noarch: W: invalid-url URL: https://crates.io/crates/rav1e HTTP Error 404: Not Found
rust-rav1e+y4m-devel.noarch: W: no-documentation
38 packages and 0 specfiles checked; 0 errors, 90 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/rav1e/0.2.1/download#/rav1e-0.2.1.crate :
  CHECKSUM(SHA256) this package     : ed0c3fddd949a2ea31e4323b86377e5f783a50efe7e5f35ec2310db9194a1454
  CHECKSUM(SHA256) upstream package : ed0c3fddd949a2ea31e4323b86377e5f783a50efe7e5f35ec2310db9194a1454


Requires
--------
rav1e (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

rav1e-libs (rpmlib, GLIBC filtered):
    ld-linux-x86-64.so.2()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3)(64bit)
    libgcc_s.so.1(GCC_4.2.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)

rav1e-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    librav1e.so.0()(64bit)
    rav1e-libs(x86-64)

rust-rav1e-devel (rpmlib, GLIBC filtered):
    (crate(arbitrary/default) >= 0.2.0 with crate(arbitrary/default) < 0.3.0)
    (crate(arg_enum_proc_macro/default) >= 0.3.0 with crate(arg_enum_proc_macro/default) < 0.4.0)
    (crate(arrayvec/default) >= 0.5.0 with crate(arrayvec/default) < 0.6.0)
    (crate(bitstream-io/default) >= 0.8.0 with crate(bitstream-io/default) < 0.9.0)
    (crate(cfg-if/default) >= 0.1.0 with crate(cfg-if/default) < 0.2.0)
    (crate(err-derive/default) >= 0.2.1 with crate(err-derive/default) < 0.3.0)
    (crate(interpolate_name/default) >= 0.2.2 with crate(interpolate_name/default) < 0.3.0)
    (crate(itertools/default) >= 0.8.0 with crate(itertools/default) < 0.9.0)
    (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
    (crate(log/default) >= 0.4.0 with crate(log/default) < 0.5.0)
    (crate(noop_proc_macro/default) >= 0.2.0 with crate(noop_proc_macro/default) < 0.3.0)
    (crate(num-derive/default) >= 0.3.0 with crate(num-derive/default) < 0.4.0)
    (crate(num-traits/default) >= 0.2.0 with crate(num-traits/default) < 0.3.0)
    (crate(paste/default) >= 0.1.0 with crate(paste/default) < 0.2.0)
    (crate(rand/default) >= 0.7.0 with crate(rand/default) < 0.8.0)
    (crate(rand_chacha/default) >= 0.2.0 with crate(rand_chacha/default) < 0.3.0)
    (crate(rayon/default) >= 1.0.0 with crate(rayon/default) < 2.0.0)
    (crate(rustc_version/default) >= 0.2.0 with crate(rustc_version/default) < 0.3.0)
    (crate(simd_helpers/default) >= 0.1.0 with crate(simd_helpers/default) < 0.2.0)
    (crate(vergen/default) >= 3.0.0 with crate(vergen/default) < 4.0.0)
    cargo

rust-rav1e+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(rav1e)
    crate(rav1e/asm)
    crate(rav1e/binaries)
    crate(rav1e/signal_support)

rust-rav1e+aom-sys-devel (rpmlib, GLIBC filtered):
    (crate(aom-sys/default) >= 0.1.3 with crate(aom-sys/default) < 0.2.0)
    cargo
    crate(rav1e)

rust-rav1e+asm-devel (rpmlib, GLIBC filtered):
    (crate(cc/default) >= 1.0.0 with crate(cc/default) < 2.0.0)
    (crate(cc/parallel) >= 1.0.0 with crate(cc/parallel) < 2.0.0)
    (crate(nasm-rs/default) >= 0.1.0 with crate(nasm-rs/default) < 0.2.0)
    (crate(nasm-rs/parallel) >= 0.1.0 with crate(nasm-rs/parallel) < 0.2.0)
    cargo
    crate(rav1e)

rust-rav1e+backtrace-devel (rpmlib, GLIBC filtered):
    (crate(backtrace/default) >= 0.3.0 with crate(backtrace/default) < 0.4.0)
    cargo
    crate(rav1e)

rust-rav1e+bench-devel (rpmlib, GLIBC filtered):
    cargo
    crate(rav1e)

rust-rav1e+better-panic-devel (rpmlib, GLIBC filtered):
    (crate(better-panic/default) >= 0.2.0 with crate(better-panic/default) < 0.3.0)
    cargo
    crate(rav1e)

rust-rav1e+binaries-devel (rpmlib, GLIBC filtered):
    (crate(better-panic/default) >= 0.2.0 with crate(better-panic/default) < 0.3.0)
    (crate(clap) >= 2.0.0 with crate(clap) < 3.0.0)
    (crate(console/default) >= 0.9.0 with crate(console/default) < 0.10.0)
    (crate(fern/default) >= 0.5.0 with crate(fern/default) < 0.6.0)
    (crate(ivf/default) >= 0.1.0 with crate(ivf/default) < 0.2.0)
    (crate(scan_fmt) >= 0.2.3 with crate(scan_fmt) < 0.3.0)
    (crate(y4m/default) >= 0.5.0 with crate(y4m/default) < 0.6.0)
    cargo
    crate(rav1e)

rust-rav1e+byteorder-devel (rpmlib, GLIBC filtered):
    (crate(byteorder/default) >= 1.3.2 with crate(byteorder/default) < 2.0.0)
    cargo
    crate(rav1e)

rust-rav1e+capi-devel (rpmlib, GLIBC filtered):
    cargo
    crate(rav1e)

rust-rav1e+cc-devel (rpmlib, GLIBC filtered):
    (crate(cc/default) >= 1.0.0 with crate(cc/default) < 2.0.0)
    (crate(cc/parallel) >= 1.0.0 with crate(cc/parallel) < 2.0.0)
    cargo
    crate(rav1e)

rust-rav1e+check_asm-devel (rpmlib, GLIBC filtered):
    cargo
    crate(rav1e)

rust-rav1e+clap-devel (rpmlib, GLIBC filtered):
    (crate(clap) >= 2.0.0 with crate(clap) < 3.0.0)
    cargo
    crate(rav1e)

rust-rav1e+console-devel (rpmlib, GLIBC filtered):
    (crate(console/default) >= 0.9.0 with crate(console/default) < 0.10.0)
    cargo
    crate(rav1e)

rust-rav1e+dav1d-sys-devel (rpmlib, GLIBC filtered):
    (crate(dav1d-sys/default) >= 0.2.0 with crate(dav1d-sys/default) < 0.3.0)
    cargo
    crate(rav1e)

rust-rav1e+decode_test-devel (rpmlib, GLIBC filtered):
    (crate(aom-sys/default) >= 0.1.3 with crate(aom-sys/default) < 0.2.0)
    cargo
    crate(rav1e)

rust-rav1e+decode_test_dav1d-devel (rpmlib, GLIBC filtered):
    (crate(dav1d-sys/default) >= 0.2.0 with crate(dav1d-sys/default) < 0.3.0)
    cargo
    crate(rav1e)

rust-rav1e+desync_finder-devel (rpmlib, GLIBC filtered):
    (crate(backtrace/default) >= 0.3.0 with crate(backtrace/default) < 0.4.0)
    cargo
    crate(rav1e)

rust-rav1e+dump_ivf-devel (rpmlib, GLIBC filtered):
    (crate(ivf/default) >= 0.1.0 with crate(ivf/default) < 0.2.0)
    cargo
    crate(rav1e)

rust-rav1e+dump_lookahead_data-devel (rpmlib, GLIBC filtered):
    (crate(byteorder/default) >= 1.3.2 with crate(byteorder/default) < 2.0.0)
    (crate(image/png_codec) >= 0.22.1 with crate(image/png_codec) < 0.23.0)
    cargo
    crate(rav1e)

rust-rav1e+fern-devel (rpmlib, GLIBC filtered):
    (crate(fern/default) >= 0.5.0 with crate(fern/default) < 0.6.0)
    cargo
    crate(rav1e)

rust-rav1e+image-devel (rpmlib, GLIBC filtered):
    (crate(image/png_codec) >= 0.22.1 with crate(image/png_codec) < 0.23.0)
    cargo
    crate(rav1e)

rust-rav1e+ivf-devel (rpmlib, GLIBC filtered):
    (crate(ivf/default) >= 0.1.0 with crate(ivf/default) < 0.2.0)
    cargo
    crate(rav1e)

rust-rav1e+nasm-rs-devel (rpmlib, GLIBC filtered):
    (crate(nasm-rs/default) >= 0.1.0 with crate(nasm-rs/default) < 0.2.0)
    (crate(nasm-rs/parallel) >= 0.1.0 with crate(nasm-rs/parallel) < 0.2.0)
    cargo
    crate(rav1e)

rust-rav1e+quick_test-devel (rpmlib, GLIBC filtered):
    cargo
    crate(rav1e)

rust-rav1e+rust_hawktracer-devel (rpmlib, GLIBC filtered):
    (crate(rust_hawktracer/default) >= 0.6.0 with crate(rust_hawktracer/default) < 0.7.0)
    (crate(rust_hawktracer/profiling_enabled) >= 0.6.0 with crate(rust_hawktracer/profiling_enabled) < 0.7.0)
    cargo
    crate(rav1e)

rust-rav1e+scan_fmt-devel (rpmlib, GLIBC filtered):
    (crate(scan_fmt) >= 0.2.3 with crate(scan_fmt) < 0.3.0)
    cargo
    crate(rav1e)

rust-rav1e+serde-devel (rpmlib, GLIBC filtered):
    (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
    (crate(serde/derive) >= 1.0.0 with crate(serde/derive) < 2.0.0)
    cargo
    crate(rav1e)

rust-rav1e+serialize-devel (rpmlib, GLIBC filtered):
    (crate(serde/default) >= 1.0.0 with crate(serde/default) < 2.0.0)
    (crate(serde/derive) >= 1.0.0 with crate(serde/derive) < 2.0.0)
    (crate(toml/default) >= 0.5.0 with crate(toml/default) < 0.6.0)
    cargo
    crate(rav1e)

rust-rav1e+signal-hook-devel (rpmlib, GLIBC filtered):
    (crate(signal-hook/default) >= 0.1.9 with crate(signal-hook/default) < 0.2.0)
    cargo
    crate(rav1e)

rust-rav1e+signal_support-devel (rpmlib, GLIBC filtered):
    (crate(signal-hook/default) >= 0.1.9 with crate(signal-hook/default) < 0.2.0)
    cargo
    crate(rav1e)

rust-rav1e+toml-devel (rpmlib, GLIBC filtered):
    (crate(toml/default) >= 0.5.0 with crate(toml/default) < 0.6.0)
    cargo
    crate(rav1e)

rust-rav1e+tracing-devel (rpmlib, GLIBC filtered):
    (crate(rust_hawktracer/default) >= 0.6.0 with crate(rust_hawktracer/default) < 0.7.0)
    (crate(rust_hawktracer/profiling_enabled) >= 0.6.0 with crate(rust_hawktracer/profiling_enabled) < 0.7.0)
    cargo
    crate(rav1e)

rust-rav1e+y4m-devel (rpmlib, GLIBC filtered):
    (crate(y4m/default) >= 0.5.0 with crate(y4m/default) < 0.6.0)
    cargo
    crate(rav1e)

rust-rav1e-debugsource (rpmlib, GLIBC filtered):



Provides
--------
rav1e:
    rav1e
    rav1e(x86-64)

rav1e-libs:
    librav1e.so.0()(64bit)
    rav1e-libs
    rav1e-libs(x86-64)

rav1e-devel:
    pkgconfig(rav1e)
    rav1e-devel
    rav1e-devel(x86-64)

rust-rav1e-devel:
    crate(rav1e)
    rust-rav1e-devel

rust-rav1e+default-devel:
    crate(rav1e/default)
    rust-rav1e+default-devel

rust-rav1e+aom-sys-devel:
    crate(rav1e/aom-sys)
    rust-rav1e+aom-sys-devel

rust-rav1e+asm-devel:
    crate(rav1e/asm)
    rust-rav1e+asm-devel

rust-rav1e+backtrace-devel:
    crate(rav1e/backtrace)
    rust-rav1e+backtrace-devel

rust-rav1e+bench-devel:
    crate(rav1e/bench)
    rust-rav1e+bench-devel

rust-rav1e+better-panic-devel:
    crate(rav1e/better-panic)
    rust-rav1e+better-panic-devel

rust-rav1e+binaries-devel:
    crate(rav1e/binaries)
    rust-rav1e+binaries-devel

rust-rav1e+byteorder-devel:
    crate(rav1e/byteorder)
    rust-rav1e+byteorder-devel

rust-rav1e+capi-devel:
    crate(rav1e/capi)
    rust-rav1e+capi-devel

rust-rav1e+cc-devel:
    crate(rav1e/cc)
    rust-rav1e+cc-devel

rust-rav1e+check_asm-devel:
    crate(rav1e/check_asm)
    rust-rav1e+check_asm-devel

rust-rav1e+clap-devel:
    crate(rav1e/clap)
    rust-rav1e+clap-devel

rust-rav1e+console-devel:
    crate(rav1e/console)
    rust-rav1e+console-devel

rust-rav1e+dav1d-sys-devel:
    crate(rav1e/dav1d-sys)
    rust-rav1e+dav1d-sys-devel

rust-rav1e+decode_test-devel:
    crate(rav1e/decode_test)
    rust-rav1e+decode_test-devel

rust-rav1e+decode_test_dav1d-devel:
    crate(rav1e/decode_test_dav1d)
    rust-rav1e+decode_test_dav1d-devel

rust-rav1e+desync_finder-devel:
    crate(rav1e/desync_finder)
    rust-rav1e+desync_finder-devel

rust-rav1e+dump_ivf-devel:
    crate(rav1e/dump_ivf)
    rust-rav1e+dump_ivf-devel

rust-rav1e+dump_lookahead_data-devel:
    crate(rav1e/dump_lookahead_data)
    rust-rav1e+dump_lookahead_data-devel

rust-rav1e+fern-devel:
    crate(rav1e/fern)
    rust-rav1e+fern-devel

rust-rav1e+image-devel:
    crate(rav1e/image)
    rust-rav1e+image-devel

rust-rav1e+ivf-devel:
    crate(rav1e/ivf)
    rust-rav1e+ivf-devel

rust-rav1e+nasm-rs-devel:
    crate(rav1e/nasm-rs)
    rust-rav1e+nasm-rs-devel

rust-rav1e+quick_test-devel:
    crate(rav1e/quick_test)
    rust-rav1e+quick_test-devel

rust-rav1e+rust_hawktracer-devel:
    crate(rav1e/rust_hawktracer)
    rust-rav1e+rust_hawktracer-devel

rust-rav1e+scan_fmt-devel:
    crate(rav1e/scan_fmt)
    rust-rav1e+scan_fmt-devel

rust-rav1e+serde-devel:
    crate(rav1e/serde)
    rust-rav1e+serde-devel

rust-rav1e+serialize-devel:
    crate(rav1e/serialize)
    rust-rav1e+serialize-devel

rust-rav1e+signal-hook-devel:
    crate(rav1e/signal-hook)
    rust-rav1e+signal-hook-devel

rust-rav1e+signal_support-devel:
    crate(rav1e/signal_support)
    rust-rav1e+signal_support-devel

rust-rav1e+toml-devel:
    crate(rav1e/toml)
    rust-rav1e+toml-devel

rust-rav1e+tracing-devel:
    crate(rav1e/tracing)
    rust-rav1e+tracing-devel

rust-rav1e+y4m-devel:
    crate(rav1e/y4m)
    rust-rav1e+y4m-devel

rust-rav1e-debugsource:
    rust-rav1e-debugsource
    rust-rav1e-debugsource(x86-64)



Generated by fedora-review 0.7.4 (54fa030) last change: 2019-12-07
Command line :/usr/bin/fedora-review -b 1785899
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Java, Ocaml, Haskell, R, Python, SugarActivity, fonts, Perl, PHP
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 7 Robert-André Mauchin 2020-01-24 17:37:14 UTC
Thanks Tim, but you're supposed to fill in the [ ]. What parts are wrong with my package?

Comment 8 Artem 2020-01-24 17:42:50 UTC
(In reply to Robert-André Mauchin from comment #7)
> Thanks Tim, but you're supposed to fill in the [ ]. What parts are wrong
> with my package?

Sure. I wanted to review it, but this is to serious package for me and i hope some one more skilled could help there. I just don't wan't broke something and just want help a little bit. Hope at least this quick 'fedora-review' can help (actually not).

Comment 9 dan.cermak 2020-01-28 19:45:40 UTC
I've taken a look at this package and found two potential issues:
- The source file rav1e-0.2.1/src/ext/x86/x86inc.asm is licensed under the ISC license, which is not mentioned in the spec (probably because upstream doesn't list it themselves, it should be added for completenes though)
- The package contains a clause for patents according to the "Alliance for Open Media Patent License 1.0", which I am uncomfortable to judge from a legal standpoint whether that is safe to include in Fedora. Could you ask the legal team whether this is ok to include in Fedora?

Beside that, the package looks good to me. Full review below:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If your application is a C or C++ application you must list a
  BuildRequires against gcc, gcc-c++ or clang.
  Note: No gcc, gcc-c++ or clang found in BuildRequires
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/C_and_C++/
- Permissions on files are set properly.
  Note: See rpmlint output
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/#_file_permissions


===== MUST items =====

C/C++:
[-]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.

Comment 10 Robert-André Mauchin 2020-01-28 23:49:51 UTC
(In reply to dan.cermak from comment #9)
> I've taken a look at this package and found two potential issues:
> - The source file rav1e-0.2.1/src/ext/x86/x86inc.asm is licensed under the
> ISC license, which is not mentioned in the spec (probably because upstream
> doesn't list it themselves, it should be added for completenes though)

Will fix.

> - The package contains a clause for patents according to the "Alliance for
> Open Media Patent License 1.0", which I am uncomfortable to judge from a
> legal standpoint whether that is safe to include in Fedora. Could you ask
> the legal team whether this is ok to include in Fedora?
> 

See the Review Request for dav1d where legal gave its opinion:
https://bugzilla.redhat.com/show_bug.cgi?id=1652305#c7

Comment 12 Robert-André Mauchin 2020-01-29 01:21:37 UTC
Thanks for the review!

Comment 13 dan.cermak 2020-01-29 19:50:19 UTC
Thanks for the fixes, package approved!

Comment 14 Gwyn Ciesla 2020-01-29 21:01:38 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-rav1e

Comment 15 Andreas Schneider 2020-02-16 16:10:33 UTC
Do you plan to submit it to Fedora 32?

I've just created libavif which uses rav1e, see bug #1803524

Comment 16 Robert-André Mauchin 2020-03-04 17:24:49 UTC
(In reply to Andreas Schneider from comment #15)
> Do you plan to submit it to Fedora 32?
> 
> I've just created libavif which uses rav1e, see bug #1803524

I've asked Igor to build it using his special method. So when he has the time.


Note You need to log in before you can comment on or make changes to this bug.